#ifndef __SYSTEM_BEOS_JOYSTICK_H__
#define __SYSTEM_BEOS_JOYSTICK_H__

#include <Joystick.h>
#include <String.h>

class Joystick : public BJoystick
{
public:
	Joystick();
	virtual uint8 Pressed(int which);
	virtual int16 AxisX();
	virtual int16 AxisY();
	virtual bool Up();
	virtual bool Down();
	virtual bool Left();
	virtual bool Right();
	virtual status_t Update();
	virtual void SwapVerticalAxes(bool really);
	virtual void SwapHorizontalAxes(bool really);
private:
	static const int MAX_BUTTONS = 32;
	uint8 rgbbuttons[MAX_BUTTONS];
	int16 axes[8];
	bool v_axes;
};

#endif
