#include "smswindow.h"
#include <Roster.h>
#include <unistd.h>

class SmsApplication : public BApplication
{
public:
	SmsApplication();
private:
	SmsWindow *window;
};

SmsApplication::SmsApplication()
	: BApplication("application/x-vnd.sms_plusapplication")
{
	app_info ai;
	BPath path;
	GetAppInfo(&ai);
	BEntry entry(&ai.ref);
	entry.GetPath(&path);
	path.GetParent(&path);
	chdir(path.Path());
	
	BRect r(200, 200, 450, 350);
	window = new SmsWindow(r);
	window->Show();
}

int main()
{
	SmsApplication *a = new SmsApplication();
	a->Run();
	delete a;
	return 0;
}