#ifndef __SMS_INTERFACE_H__
#define __SMS_INTERFACE_H__

class SmsInterface
{
public:
	static int load_rom(char *filename);
	static void log_handler(int data);
	static void load_sram(void);
	static void save_sram(void);
	static int load_state(bool ok, int number);
	static int save_state(bool ok, int number);
	static void log_audio(void);
	static void stop_log(void);
private:
	static char game_name[0x100];
	static int state_slot;
	static FILE *music_log;
	static int music_log_count;
};

#endif
