#include <Window.h>
#include <View.h>
#include <Message.h>
#include "smsjoyinputwindow.h"
#include "JoyInputView.h"

SmsJoyInputWindow::SmsJoyInputWindow(BRect frame, const char *title, uint8 *data, BWindow *parent, uint32 msgwhat, Joystick *joystick, bool *p)
	: BWindow(frame, title, B_FLOATING_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE),
	handle(parent),
	smsmsg(msgwhat)
{
	view = new JoyInputView(Bounds(), this, joystick);
	AddChild(view);
	SetPulseRate(100000.0);
	view->MakeFocus();
	view->SetData(data, p);
	view->SetInput(true);
}

void SmsJoyInputWindow::Quit()
{
	handle->PostMessage(smsmsg);
	BWindow::Quit();
}