#include <Window.h>
#include <View.h>
#include <Message.h>
#include "smskeyinputwindow.h"
#include "InputView.h"

SmsKeyInputWindow::SmsKeyInputWindow(BRect frame, const char *title, uint8 *data, BWindow *parent, uint32 msgwhat)
	: BWindow(frame, title, B_FLOATING_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE),
	handle(parent),
	smsmsg(msgwhat)
{
	view = new InputView(Bounds(), this);
	AddChild(view);
	SetPulseRate(100000.0);
	view->MakeFocus();
	view->SetKeys(data);
	view->SetInput(true);
}

void SmsKeyInputWindow::Quit()
{
	handle->PostMessage(smsmsg);
	BWindow::Quit();
}