#ifndef __SYSTEM_BEOS_CONSTANTS_H__
#define __SYSTEM_BEOS_CONSTANTS_H__

#include <SupportDefs.h>

const uint32 CBN_SELENDOK = 'seok';
const uint32 IDDEFAULT = 'defa';
const uint32 IDC_CHECKA = 'idca';
const uint32 IDC_CHECKB = 'idcb';
//Joy buttons
const uint32 IDC_COMBOA = 'joya';
const uint32 IDC_COMBOB = 'joyb';
const uint32 IDC_COMBOO = 'joyo';
//Key buttons
const uint32 IDC_COMBOKA = 'keya';
const uint32 IDC_COMBOKB = 'keyb';
const uint32 IDC_COMBOKO = 'keyo';
//Key D-Pad
const uint32 IDC_COMBOU = 'padu';
const uint32 IDC_COMBOD = 'padd';
const uint32 IDC_COMBOL = 'padl';
const uint32 IDC_COMBOR = 'padr';
// Game Menu
const uint32 ID_GAME_LOADROM = 'load';
const uint32 ID_GAME_UNLOADROM = 'unlo';
const uint32 ID_GAME_HARD_RESET = 'rese';
const uint32 ID_GAME_SOFT_RESET = 'sore';

const uint32 ID_GAME_PAUSE = 'paus';
const uint32 ID_GAME_SAVESTATE = 'sast';
const uint32 ID_GAME_LOADSTATE = 'lost';
const uint32 ID_GAME_EXIT = 'exit';
const uint32 ID_OPTIONS_DISPLAYTYPE_GREYSCALE = 'digr';
const uint32 ID_OPTIONS_DISPLAYTYPE_COLOUR = 'dico';
const uint32 ID_OPTIONS_DISPLAYTYPE_AUTO = 'diau';
const uint32 ID_OPTIONS_LANGUAGE_ENGLISH = 'laen';
const uint32 ID_OPTIONS_LANGUAGE_JAPANESE = 'laja';
const uint32 ID_FRAMESKIP_NONE = 'frs0';
const uint32 ID_FRAMESKIP_1OF2 = 'frs2';
const uint32 ID_FRAMESKIP_1OF3 = 'frs3';
const uint32 ID_FRAMESKIP_1OF4 = 'frs4';
const uint32 ID_FRAMESKIP_1OF5 = 'frs5';
const uint32 ID_FRAMESKIP_1OF6 = 'frs6';
const uint32 ID_FRAMESKIP_1OF7 = 'frs7';
const uint32 ID_FRAMESKIP_LESS = 'fra-';
const uint32 ID_FRAMESKIP_MORE = 'fra+';
const uint32 ID_OPTIONS_MUTE = 'nemu';
const uint32 ID_OPTIONS_MONO = 'somo';
const uint32 ID_OPTIONS_STEREO = 'sost';

const uint32 ID_OPTIONS_INC_EMU_FACTOR = 'inca';
const uint32 ID_OPTIONS_DEC_EMU_FACTOR = 'deca';
const uint32 ID_OPTIONS_DEF_EMU_FACTOR = 'defa';

const uint32 ID_OPTIONS_CONTROLS = 'opco';
const uint32 ID_OPTIONS_SOUND_11KHZ = 'so11';
const uint32 ID_OPTIONS_SOUND_22KHZ = 'so22';
const uint32 ID_OPTIONS_SOUND_44KHZ = 'so44';
const uint32 ID_HELP_ABOUTSMSPLUS = 'absm';
const uint32 ID_SWAP_AXES = 'swax';

// Special Scale modes
const uint32 ID_OPTIONS_SPECIAL_MODE0 = 'sp00';
const uint32 ID_OPTIONS_SPECIAL_MODE1 = 'sp01';
const uint32 ID_OPTIONS_SPECIAL_MODE2 = 'sp02';
const uint32 ID_OPTIONS_SPECIAL_MODE3 = 'sp03';
const uint32 ID_OPTIONS_SPECIAL_MODE4 = 'sp04';
const uint32 ID_OPTIONS_SPECIAL_MODE5 = 'sp05';
const uint32 ID_OPTIONS_SPECIAL_MODE6 = 'sp06';
const uint32 ID_OPTIONS_SPECIAL_MODE7 = 'sp07';
const uint32 ID_OPTIONS_SPECIAL_MODE8 = 'sp08';
const uint32 ID_OPTIONS_SPECIAL_MODE9 = 'sp09';
const uint32 ID_OPTIONS_SPECIAL_MODE10 = 'sp10';
const uint32 ID_OPTIONS_SPECIAL_MODE11 = 'sp11';
const uint32 ID_OPTIONS_SPECIAL_MODE12 = 'sp12';

const uint32 ID_LAUNCH_KEYBOARD0 = 'lak0';
const uint32 ID_LAUNCH_KEYBOARD1 = 'lak1';
const uint32 ID_LAUNCH_JOYSTICK0 = 'jss0';
const uint32 ID_LAUNCH_JOYSTICK1 = 'jss1';
const uint32 ID_LAUNCH_REFRESH = 'lare';
const uint32 ID_REFRESH = 'refr';

const uint32 ID_LOG_AUDIO = 'loga';
const uint32 ID_SAVE_STATE = 'sast';

const uint32 ID_LOAD_STATE = 'lost';

#define MF_CHECKED true
#define MF_UNCHECKED false
#define MF_GRAYED false
#define MF_ENABLED true


#endif